Eclipse Platform Release 3.7

## org.eclipse.swt.events
Interface DragDetectListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface DragDetectListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated when a drag gesture is detected.

After creating an instance of a class that implements this interface it can be added to a control using the `addDragDetectListener` method and removed using the `removeDragDetectListener` method. When the drag is detected, the drageDetected method will be invoked.

Since:
  3.3
See Also:
  `DragDetectEvent`

Method Summary
`void` `dragDetected(DragDetectEvent e)` Sent when a drag gesture is detected.

Method Detail

### dragDetected

    void dragDetected(DragDetectEvent e)

  Sent when a drag gesture is detected.

  Parameters:
    `e` - an event containing information about the drag

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.